package po

import (
	"fmt"
	"plugins/union_pay_redpack/internal/vo"
)

type QueryReq struct {
	ChNlId        string `validate:"required" json:"chnlId"`        // 渠道方代码
	TransSeq      string `validate:"required" json:"transSeq"`      // 流水号
	TransDtTm     string `validate:"required" json:"transDtTm"`     // 交易日期时间
	OrigTransSeq  string `validate:"required" json:"origTransSeq"`  // 原交易日期时间
	OrigTransDtTm string `validate:"required" json:"origTransDtTm"` // 原交易流水号
	AcctEntityTp  string `validate:"required" json:"acctEntityTp"`  // 账户主体类型
	Mobile        string `validate:"required" json:"mobile"`        // 账户主体标识_手机号
}

type QueryResp struct {
	Code    vo.Code    `json:"code"`
	Msg     string     `json:"msg"`
	SubCode vo.SubCode `json:"subCode"`
	SubMsg  string     `json:"subMsg"`

	TransSeq  string       `json:"transSeq"`
	AcquireSt vo.AcquireSt `json:"acquireSt"`
}

func (o *QueryResp) GetMsg() string {
	if o.Code.IsSuccess() {
		return o.Msg
	}
	return fmt.Sprintf("Msg:[%s],SubMsg:[%s],自定处理msg:[%s]", o.Msg, o.SubMsg, o.SubCode.GetMsg())
}
