package vo

import "gitea.cdlsxd.cn/sdk/plugin/proto"

type QueryStatus string

const (
	QueryStatusAvailable = "SENDED"
	QueryStatusUsed      = "USED"
	QueryStatusExpired   = "EXPIRED"
)

var queryStatusTextMap = map[QueryStatus]string{
	QueryStatusAvailable: "可用",
	QueryStatusUsed:      "已实扣",
	QueryStatusExpired:   "已过期",
}

var queryStatusMap = map[QueryStatus]proto.Status{
	QueryStatusAvailable: proto.Status_SUCCESS,
	QueryStatusUsed:      proto.Status_WRITE_OFF,
	QueryStatusExpired:   proto.Status_OVERDUE,
}

func (o QueryStatus) GetText() string {
	msg, ok := queryStatusTextMap[o]
	if !ok {
		return ""
	}
	return msg
}

func (o QueryStatus) GetOrderStatus() proto.Status {
	if o == "" {
		return proto.Status_INVALID
	}
	if resultStatus, ok := queryStatusMap[o]; ok {
		return resultStatus
	}
	return proto.Status_FAIL
}
